# Introdução

O Sky Follower Bridge ajuda você a encontrar e seguir suas conexões do 𝕏 (Twitter) no Bluesky.

<iframe width="100%" height="315" src="https://www.youtube.com/embed/pVqoDv-1uac?si=jKDFFcKQXh61jBdL" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


## Instalação

O Sky Follower Bridge está disponível em:

- [Chrome Web Store](https://chrome.google.com/webstore/detail/sky-follower-bridge/behhbpbpmailcnfbjagknjngnfdojpko) (Recomendado)
- [Firefox Add-ons](https://addons.mozilla.org/en-US/firefox/addon/sky-follower-bridge/)
- [Microsoft Edge Add-ons](https://microsoftedge.microsoft.com/addons/detail/sky-follower-bridge/dpeolmdblhfolkhlhbhlofkkpaojnnbb)

::: tip
Recomendamos usar a versão do Chrome Web Store, pois está sempre atualizada. As versões de outras lojas podem estar atrasadas nas atualizações.
:::

::: warning
Sky Follower Bridge é apenas compatível com navegadores de desktop. Navegadores móveis não são suportados.
:::

## Uso

### 1. Navegue para 𝕏 (Twitter)

Visite uma destas páginas no X:
- Sua página de Seguindo: [x.com/following](https://x.com/following)
- Sua página de Usuários Bloqueados: [x.com/settings/blocked/all](https://x.com/settings/blocked/all)
- A página de Membros de uma Lista Pública: `x.com/i/lists/<list_id>/members`

![following-page](/images/following-page.png)

### 2. Inicie o Sky Follower Bridge

Pressione `Alt + B` ou clique no ícone da extensão na barra de ferramentas do navegador.

::: tip
Para usuários do Firefox, pressionar `Alt + B` pode não funcionar. Nesse caso, clique no ícone da extensão na barra de ferramentas do navegador.

https://support.mozilla.org/en-US/kb/extensions-button
:::

![Open Extension](/images/open-extension.png)

### 3. Faça login no Bluesky

Digite seu identificador do Bluesky (ou e-mail) e [App password](https://bsky.app/settings/app-passwords).

::: tip
Se você encontrar erros de login, consulte o [Guia de Solução de Problemas](/troubleshooting).
:::

![enter-credentials](/images/enter-credentials.png)

### 4. Inicie a Pesquisa

Clique em "Find Bluesky Users" para começar a varredura. A extensão procurará perfis Bluesky correspondentes verificando a API do Bluesky.

![find-bluesky-users](/images/scan-users.png)

### 5. Revise os Resultados

Clique em "View Results" para ver as correspondências potenciais encontradas no Bluesky.

![view-results-button](/images/click-results.png)

Isso abrirá a página de opções mostrando todos os usuários Bluesky detectados.

![options](/images/options.png)

### 6. Siga os Usuários

Clique no botão "Follow" ao lado de qualquer usuário que você gostaria de se conectar.

![follow](/images/click-follow-btn.png)

ou use o botão "Follow All" para seguir todos os usuários detectados de uma vez.

![follow-all](/images/follow-all-btn.png)

::: warning
Observe que o processo de correspondência não é perfeito e pode ocasionalmente sugerir correspondências incorretas. Sempre verifique o perfil antes de seguir.
:::

É isso! Aproveite para se conectar com sua comunidade no Bluesky 🎉 
